Index: palm/trunk/SOURCE/data_output_binary_module.f90
===================================================================
--- palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4146)
+++ palm/trunk/SOURCE/data_output_binary_module.f90	(revision 4147)
@@ -25,4 +25,7 @@
 ! -----------------
 ! $Id$
+! corrected indentation according to coding standard
+!
+! 4141 2019-08-05 12:24:51Z gronemeier
 ! Initial revision
 !
@@ -38,95 +41,95 @@
 !> @todo Get iostat value of write statements.
 !--------------------------------------------------------------------------------------------------!
-MODULE data_output_binary_module
-
-   USE kinds
+ MODULE data_output_binary_module
+
+    USE kinds
 
 #if defined( __parallel )
 #if defined( __mpifh )
-   INCLUDE "mpif.h"
+    INCLUDE "mpif.h"
 #else
-   USE MPI
+    USE MPI
 #endif
 #endif
 
-   IMPLICIT NONE
-
-   INTEGER, PARAMETER ::  charlen = 100  !< maximum length of character variables
-
-   CHARACTER(LEN=*), PARAMETER ::  config_file_name = 'BINARY_TO_NETCDF_CONFIG'  !< name of config file
-   CHARACTER(LEN=*), PARAMETER ::  mode_binary = 'binary'                        !< string to select operation mode of module
-   CHARACTER(LEN=*), PARAMETER ::  file_prefix = 'BIN_'                          !< file prefix for binary files
-
-   CHARACTER(LEN=charlen)      ::  file_suffix = ''             !< file suffix added to each file name
-   CHARACTER(LEN=800)          ::  internal_error_message = ''  !< string containing the last error message
-   CHARACTER(LEN=800)          ::  temp_string                  !< dummy string
-
-   INTEGER ::  binary_file_lowest_unit = 1000  !< lowest unit number of all binary files created by this module
-   INTEGER ::  config_file_unit                !< unit number of config file
-   INTEGER ::  debug_output_unit               !< Fortran Unit Number of the debug-output file
-   INTEGER ::  global_id_in_file = -1          !< value of global ID within a file
-   INTEGER ::  master_rank                     !< master rank for tasks to be executed by single PE only
-   INTEGER ::  next_available_unit             !< next unit number available for new file
-   INTEGER ::  output_group_comm               !< MPI communicator addressing all MPI ranks which participate in output
-
-   INTEGER, DIMENSION(:), ALLOCATABLE ::  files_highest_variable_id  !< highest assigned ID of variable or dimension in a file
-
-   LOGICAL ::  binary_open_file_first_call = .TRUE.  !< true if binary_open_file routine was not called yet
-   LOGICAL ::  config_file_open = .FALSE.            !< true if config file is opened and not closed
-   LOGICAL ::  print_debug_output = .FALSE.          !< if true, debug output is printed
-
-   SAVE
-
-   PRIVATE
-
-   INTERFACE binary_init_module
-      MODULE PROCEDURE binary_init_module
-   END INTERFACE binary_init_module
-
-   INTERFACE binary_open_file
-      MODULE PROCEDURE binary_open_file
-   END INTERFACE binary_open_file
-
-   INTERFACE binary_init_dimension
-      MODULE PROCEDURE binary_init_dimension
-   END INTERFACE binary_init_dimension
-
-   INTERFACE binary_init_variable
-      MODULE PROCEDURE binary_init_variable
-   END INTERFACE binary_init_variable
-
-   INTERFACE binary_write_attribute
-      MODULE PROCEDURE binary_write_attribute
-   END INTERFACE binary_write_attribute
-
-   INTERFACE binary_stop_file_header_definition
-      MODULE PROCEDURE binary_stop_file_header_definition
-   END INTERFACE binary_stop_file_header_definition
-
-   INTERFACE binary_write_variable
-      MODULE PROCEDURE binary_write_variable
-   END INTERFACE binary_write_variable
-
-   INTERFACE binary_finalize
-      MODULE PROCEDURE binary_finalize
-   END INTERFACE binary_finalize
-
-   INTERFACE binary_get_error_message
-      MODULE PROCEDURE binary_get_error_message
-   END INTERFACE binary_get_error_message
-
-   PUBLIC &
-      binary_finalize, &
-      binary_get_error_message, &
-      binary_init_dimension, &
-      binary_stop_file_header_definition, &
-      binary_init_module, &
-      binary_init_variable, &
-      binary_open_file, &
-      binary_write_attribute, &
-      binary_write_variable
-
-
-CONTAINS
+    IMPLICIT NONE
+
+    INTEGER, PARAMETER ::  charlen = 100  !< maximum length of character variables
+
+    CHARACTER(LEN=*), PARAMETER ::  config_file_name = 'BINARY_TO_NETCDF_CONFIG'  !< name of config file
+    CHARACTER(LEN=*), PARAMETER ::  mode_binary = 'binary'                        !< string to select operation mode of module
+    CHARACTER(LEN=*), PARAMETER ::  file_prefix = 'BIN_'                          !< file prefix for binary files
+
+    CHARACTER(LEN=charlen)      ::  file_suffix = ''             !< file suffix added to each file name
+    CHARACTER(LEN=800)          ::  internal_error_message = ''  !< string containing the last error message
+    CHARACTER(LEN=800)          ::  temp_string                  !< dummy string
+
+    INTEGER ::  binary_file_lowest_unit = 1000  !< lowest unit number of all binary files created by this module
+    INTEGER ::  config_file_unit                !< unit number of config file
+    INTEGER ::  debug_output_unit               !< Fortran Unit Number of the debug-output file
+    INTEGER ::  global_id_in_file = -1          !< value of global ID within a file
+    INTEGER ::  master_rank                     !< master rank for tasks to be executed by single PE only
+    INTEGER ::  next_available_unit             !< next unit number available for new file
+    INTEGER ::  output_group_comm               !< MPI communicator addressing all MPI ranks which participate in output
+
+    INTEGER, DIMENSION(:), ALLOCATABLE ::  files_highest_variable_id  !< highest assigned ID of variable or dimension in a file
+
+    LOGICAL ::  binary_open_file_first_call = .TRUE.  !< true if binary_open_file routine was not called yet
+    LOGICAL ::  config_file_open = .FALSE.            !< true if config file is opened and not closed
+    LOGICAL ::  print_debug_output = .FALSE.          !< if true, debug output is printed
+
+    SAVE
+
+    PRIVATE
+
+    INTERFACE binary_init_module
+       MODULE PROCEDURE binary_init_module
+    END INTERFACE binary_init_module
+
+    INTERFACE binary_open_file
+       MODULE PROCEDURE binary_open_file
+    END INTERFACE binary_open_file
+
+    INTERFACE binary_init_dimension
+       MODULE PROCEDURE binary_init_dimension
+    END INTERFACE binary_init_dimension
+
+    INTERFACE binary_init_variable
+       MODULE PROCEDURE binary_init_variable
+    END INTERFACE binary_init_variable
+
+    INTERFACE binary_write_attribute
+       MODULE PROCEDURE binary_write_attribute
+    END INTERFACE binary_write_attribute
+
+    INTERFACE binary_stop_file_header_definition
+       MODULE PROCEDURE binary_stop_file_header_definition
+    END INTERFACE binary_stop_file_header_definition
+
+    INTERFACE binary_write_variable
+       MODULE PROCEDURE binary_write_variable
+    END INTERFACE binary_write_variable
+
+    INTERFACE binary_finalize
+       MODULE PROCEDURE binary_finalize
+    END INTERFACE binary_finalize
+
+    INTERFACE binary_get_error_message
+       MODULE PROCEDURE binary_get_error_message
+    END INTERFACE binary_get_error_message
+
+    PUBLIC &
+       binary_finalize, &
+       binary_get_error_message, &
+       binary_init_dimension, &
+       binary_stop_file_header_definition, &
+       binary_init_module, &
+       binary_init_variable, &
+       binary_open_file, &
+       binary_write_attribute, &
+       binary_write_variable
+
+
+ CONTAINS
 
 
@@ -136,29 +139,29 @@
 !> Initialize data-output module.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_init_module( file_suffix_of_output_group, mpi_comm_of_output_group, &
-                               master_output_rank,                                    &
-                               program_debug_output_unit, debug_output, dom_global_id )
-
-   CHARACTER(LEN=*), INTENT(IN) ::  file_suffix_of_output_group  !> file-name suffix added to each file;
-                                                                 !> must be unique for each output group
-
-   INTEGER, INTENT(IN) ::  dom_global_id              !< global id within a file defined by DOM
-   INTEGER, INTENT(IN) ::  master_output_rank         !< MPI rank executing tasks which must be executed by a single PE
-   INTEGER, INTENT(IN) ::  mpi_comm_of_output_group   !< MPI communicator specifying the rank group participating in output
-   INTEGER, INTENT(IN) ::  program_debug_output_unit  !< file unit number for debug output
-
-   LOGICAL, INTENT(IN) ::  debug_output  !< if true, debug output is printed
-
-
-   file_suffix = file_suffix_of_output_group
-   output_group_comm = mpi_comm_of_output_group
-   master_rank = master_output_rank
-
-   debug_output_unit = program_debug_output_unit
-   print_debug_output = debug_output
-
-   global_id_in_file = dom_global_id
-
-END SUBROUTINE binary_init_module
+ SUBROUTINE binary_init_module( file_suffix_of_output_group, mpi_comm_of_output_group, &
+                                master_output_rank,                                    &
+                                program_debug_output_unit, debug_output, dom_global_id )
+
+    CHARACTER(LEN=*), INTENT(IN) ::  file_suffix_of_output_group  !> file-name suffix added to each file;
+                                                                  !> must be unique for each output group
+
+    INTEGER, INTENT(IN) ::  dom_global_id              !< global id within a file defined by DOM
+    INTEGER, INTENT(IN) ::  master_output_rank         !< MPI rank executing tasks which must be executed by a single PE
+    INTEGER, INTENT(IN) ::  mpi_comm_of_output_group   !< MPI communicator specifying the rank group participating in output
+    INTEGER, INTENT(IN) ::  program_debug_output_unit  !< file unit number for debug output
+
+    LOGICAL, INTENT(IN) ::  debug_output  !< if true, debug output is printed
+
+
+    file_suffix = file_suffix_of_output_group
+    output_group_comm = mpi_comm_of_output_group
+    master_rank = master_output_rank
+
+    debug_output_unit = program_debug_output_unit
+    print_debug_output = debug_output
+
+    global_id_in_file = dom_global_id
+
+ END SUBROUTINE binary_init_module
 
 !--------------------------------------------------------------------------------------------------!
@@ -167,155 +170,155 @@
 !> Open binary file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_open_file( mode, file_name, file_id, return_value )
-
-   CHARACTER(LEN=charlen)             ::  bin_filename = ''  !< actual name of binary file
-   CHARACTER(LEN=charlen), INTENT(IN) ::  file_name          !< name of file
-   CHARACTER(LEN=7)                   ::  my_rank_char       !< string containing value of my_rank with leading zeros
-   CHARACTER(LEN=*),       INTENT(IN) ::  mode               !< operation mode
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_open_file'  !< name of this routine
-
-   INTEGER, INTENT(OUT) ::  file_id       !< file ID
-   INTEGER              ::  my_rank       !< MPI rank of local processor
-   INTEGER              ::  nranks        !< number of MPI ranks participating in output
-   INTEGER, INTENT(OUT) ::  return_value  !< return value
-
-   INTEGER, DIMENSION(:), ALLOCATABLE ::  files_highest_variable_id_tmp  !< temporary list of given variable IDs in file
-
-   LOGICAL ::  file_exists  !< true if file to be opened already exists
-
-
-   return_value = 0
+ SUBROUTINE binary_open_file( mode, file_name, file_id, return_value )
+
+    CHARACTER(LEN=charlen)             ::  bin_filename = ''  !< actual name of binary file
+    CHARACTER(LEN=charlen), INTENT(IN) ::  file_name          !< name of file
+    CHARACTER(LEN=7)                   ::  my_rank_char       !< string containing value of my_rank with leading zeros
+    CHARACTER(LEN=*),       INTENT(IN) ::  mode               !< operation mode
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_open_file'  !< name of this routine
+
+    INTEGER, INTENT(OUT) ::  file_id       !< file ID
+    INTEGER              ::  my_rank       !< MPI rank of local processor
+    INTEGER              ::  nranks        !< number of MPI ranks participating in output
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
+
+    INTEGER, DIMENSION(:), ALLOCATABLE ::  files_highest_variable_id_tmp  !< temporary list of given variable IDs in file
+
+    LOGICAL ::  file_exists  !< true if file to be opened already exists
+
+
+    return_value = 0
 
 #if defined( __parallel )
-   CALL MPI_COMM_SIZE( output_group_comm, nranks, return_value )
-   IF ( return_value == 0 )  CALL MPI_COMM_RANK( output_group_comm, my_rank, return_value )
-   IF ( return_value == 0 )  THEN
-      WRITE( my_rank_char, '("_",I6.6)' )  my_rank
-   ELSE
-      CALL internal_message( 'error', routine_name // ': MPI error' )
-   ENDIF
+    CALL MPI_COMM_SIZE( output_group_comm, nranks, return_value )
+    IF ( return_value == 0 )  CALL MPI_COMM_RANK( output_group_comm, my_rank, return_value )
+    IF ( return_value == 0 )  THEN
+       WRITE( my_rank_char, '("_",I6.6)' )  my_rank
+    ELSE
+       CALL internal_message( 'error', routine_name // ': MPI error' )
+    ENDIF
 #else
-   nranks = 1
-   my_rank = master_rank
-   WRITE( my_rank_char, '("_",I6.6)' )  my_rank
+    nranks = 1
+    my_rank = master_rank
+    WRITE( my_rank_char, '("_",I6.6)' )  my_rank
 #endif
-
-   !-- Check mode (not required, added for compatibility reasons)
-   IF ( TRIM( mode ) == mode_binary )  CONTINUE
-
-   !-- Open binary config file for combining script
-   IF ( return_value == 0  .AND.  binary_open_file_first_call )  THEN
-
-      binary_open_file_first_call = .FALSE.
-      config_file_unit = binary_file_lowest_unit
-
-      IF ( my_rank == master_rank )  THEN
-
-         !-- Remove any pre-existing file
-         INQUIRE( FILE=TRIM( config_file_name ) // TRIM( file_suffix ), &
-                  EXIST=file_exists )
-
-         IF ( file_exists )  THEN
-            CALL internal_message( 'debug', routine_name //     &
-                                   ': Remove existing file ' // &
-                                   TRIM( config_file_name ) // TRIM( file_suffix ) )
-            !> @note Fortran2008 feature 'EXECUTE_COMMAND_LINE' not yet supported by
-            !>       PGI 18.10 compiler. Hence, non-standard 'SYSTEM' call must be used
-            ! CALL EXECUTE_COMMAND_LINE(                                                &
-            !         COMMAND='rm ' // TRIM( config_file_name ) // TRIM( file_suffix ), &
-            !         WAIT=.TRUE., EXITSTAT=return_value )
-            CALL SYSTEM( 'rm ' // TRIM( config_file_name ) // TRIM( file_suffix ) )
-         ENDIF
-
-         OPEN( config_file_unit, FILE=TRIM( config_file_name ) // TRIM( file_suffix ), &
-               FORM='UNFORMATTED', STATUS='NEW', IOSTAT=return_value )
-
-         IF ( return_value == 0 )  THEN
-
-            config_file_open = .TRUE.
-
-            !-- Write some general information to config file
-            WRITE( config_file_unit )  nranks
-            WRITE( config_file_unit )  master_rank
-            WRITE( config_file_unit )  LEN( file_prefix )
-            WRITE( config_file_unit )  file_prefix
-            WRITE( config_file_unit )  charlen
-            WRITE( config_file_unit )  global_id_in_file
-
-         ELSE
-
-            return_value = 1
-            CALL internal_message( 'error', routine_name // ': could not create config' )
-
-         ENDIF
-
-      ENDIF
-
-      next_available_unit = binary_file_lowest_unit + 1
-
-   ENDIF
-
-   !-- Initialize output file: open, write header, initialize variable/dimension IDs
-   IF ( return_value == 0 )  THEN
-
-      bin_filename = file_prefix // TRIM( file_name ) // TRIM( file_suffix ) // my_rank_char
-
-      !-- Remove any pre-existing file
-      INQUIRE( FILE=TRIM( bin_filename ), EXIST=file_exists )
-
-      IF ( file_exists )  THEN
-         CALL internal_message( 'debug', routine_name // &
-                                ': remove existing file ' // TRIM( bin_filename ) )
-         !> @note Fortran2008 feature 'EXECUTE_COMMAND_LINE' not yet supported by
-         !>       PGI 18.10 compiler. Hence, non-standard 'SYSTEM' call must be used
-         ! CALL EXECUTE_COMMAND_LINE( COMMAND='rm ' // TRIM( bin_filename ), &
-         !                            WAIT=.TRUE., EXITSTAT=return_value )
-         CALL SYSTEM( 'rm ' // TRIM( bin_filename ) )
-      ENDIF
-
-      !-- Open binary file
-      CALL internal_message( 'debug', routine_name // ': open file ' // TRIM( bin_filename ) )
-      OPEN ( next_available_unit, FILE=TRIM( bin_filename ), &
-             FORM='UNFORMATTED', STATUS='NEW', IOSTAT=return_value )
-
-      IF ( return_value == 0 )  THEN
-
-         !-- Add file_name to config file
-         IF ( my_rank == master_rank )  THEN
-            WRITE( config_file_unit )  file_name
-         ENDIF
-
-         !-- Save file ID and increase next file unit number
-         file_id = next_available_unit
-         next_available_unit = next_available_unit + 1
-
-         !-- Write some meta data to file
-         WRITE ( file_id )  charlen
-         WRITE ( file_id )  file_id
-         WRITE ( file_id )  file_name
-
-         !-- Extend file-variable/dimension-ID list by 1 and set it to 0 for new file.
-         IF ( ALLOCATED( files_highest_variable_id ) )  THEN
-            ALLOCATE( files_highest_variable_id_tmp(SIZE( files_highest_variable_id )) )
-            files_highest_variable_id_tmp = files_highest_variable_id
-            DEALLOCATE( files_highest_variable_id )
-            ALLOCATE( files_highest_variable_id(binary_file_lowest_unit+1:file_id) )
-            files_highest_variable_id(:file_id-1) = files_highest_variable_id_tmp
-            DEALLOCATE( files_highest_variable_id_tmp )
-         ELSE
-            ALLOCATE( files_highest_variable_id(binary_file_lowest_unit+1:file_id) )
-         ENDIF
-         files_highest_variable_id(file_id) = 0
-
-      ELSE
-         return_value = 1
-         CALL internal_message( 'error', routine_name // &
-                                ': could not open file "' // TRIM( file_name ) // '"')
-      ENDIF
-
-   ENDIF
-
-END SUBROUTINE binary_open_file
+!
+!-- Check mode (not required, added for compatibility reasons)
+    IF ( TRIM( mode ) == mode_binary )  CONTINUE
+!
+!-- Open binary config file for combining script
+    IF ( return_value == 0  .AND.  binary_open_file_first_call )  THEN
+
+       binary_open_file_first_call = .FALSE.
+       config_file_unit = binary_file_lowest_unit
+
+       IF ( my_rank == master_rank )  THEN
+!
+!--       Remove any pre-existing file
+          INQUIRE( FILE=TRIM( config_file_name ) // TRIM( file_suffix ), &
+                   EXIST=file_exists )
+
+          IF ( file_exists )  THEN
+             CALL internal_message( 'debug', routine_name //     &
+                                    ': Remove existing file ' // &
+                                    TRIM( config_file_name ) // TRIM( file_suffix ) )
+             !> @note Fortran2008 feature 'EXECUTE_COMMAND_LINE' not yet supported by
+             !>       PGI 18.10 compiler. Hence, non-standard 'SYSTEM' call must be used
+             ! CALL EXECUTE_COMMAND_LINE(                                                &
+             !         COMMAND='rm ' // TRIM( config_file_name ) // TRIM( file_suffix ), &
+             !         WAIT=.TRUE., EXITSTAT=return_value )
+             CALL SYSTEM( 'rm ' // TRIM( config_file_name ) // TRIM( file_suffix ) )
+          ENDIF
+
+          OPEN( config_file_unit, FILE=TRIM( config_file_name ) // TRIM( file_suffix ), &
+                FORM='UNFORMATTED', STATUS='NEW', IOSTAT=return_value )
+
+          IF ( return_value == 0 )  THEN
+
+             config_file_open = .TRUE.
+!
+!--          Write some general information to config file
+             WRITE( config_file_unit )  nranks
+             WRITE( config_file_unit )  master_rank
+             WRITE( config_file_unit )  LEN( file_prefix )
+             WRITE( config_file_unit )  file_prefix
+             WRITE( config_file_unit )  charlen
+             WRITE( config_file_unit )  global_id_in_file
+
+          ELSE
+
+             return_value = 1
+             CALL internal_message( 'error', routine_name // ': could not create config' )
+
+          ENDIF
+
+       ENDIF
+
+       next_available_unit = binary_file_lowest_unit + 1
+
+    ENDIF
+!
+!-- Initialize output file: open, write header, initialize variable/dimension IDs
+    IF ( return_value == 0 )  THEN
+
+       bin_filename = file_prefix // TRIM( file_name ) // TRIM( file_suffix ) // my_rank_char
+!
+!--    Remove any pre-existing file
+       INQUIRE( FILE=TRIM( bin_filename ), EXIST=file_exists )
+
+       IF ( file_exists )  THEN
+          CALL internal_message( 'debug', routine_name // &
+                                 ': remove existing file ' // TRIM( bin_filename ) )
+          !> @note Fortran2008 feature 'EXECUTE_COMMAND_LINE' not yet supported by
+          !>       PGI 18.10 compiler. Hence, non-standard 'SYSTEM' call must be used
+          ! CALL EXECUTE_COMMAND_LINE( COMMAND='rm ' // TRIM( bin_filename ), &
+          !                            WAIT=.TRUE., EXITSTAT=return_value )
+          CALL SYSTEM( 'rm ' // TRIM( bin_filename ) )
+       ENDIF
+!
+!--    Open binary file
+       CALL internal_message( 'debug', routine_name // ': open file ' // TRIM( bin_filename ) )
+       OPEN ( next_available_unit, FILE=TRIM( bin_filename ), &
+              FORM='UNFORMATTED', STATUS='NEW', IOSTAT=return_value )
+
+       IF ( return_value == 0 )  THEN
+!
+!--       Add file_name to config file
+          IF ( my_rank == master_rank )  THEN
+             WRITE( config_file_unit )  file_name
+          ENDIF
+!
+!--       Save file ID and increase next file unit number
+          file_id = next_available_unit
+          next_available_unit = next_available_unit + 1
+!
+!--       Write some meta data to file
+          WRITE ( file_id )  charlen
+          WRITE ( file_id )  file_id
+          WRITE ( file_id )  file_name
+!
+!--       Extend file-variable/dimension-ID list by 1 and set it to 0 for new file.
+          IF ( ALLOCATED( files_highest_variable_id ) )  THEN
+             ALLOCATE( files_highest_variable_id_tmp(SIZE( files_highest_variable_id )) )
+             files_highest_variable_id_tmp = files_highest_variable_id
+             DEALLOCATE( files_highest_variable_id )
+             ALLOCATE( files_highest_variable_id(binary_file_lowest_unit+1:file_id) )
+             files_highest_variable_id(:file_id-1) = files_highest_variable_id_tmp
+             DEALLOCATE( files_highest_variable_id_tmp )
+          ELSE
+             ALLOCATE( files_highest_variable_id(binary_file_lowest_unit+1:file_id) )
+          ENDIF
+          files_highest_variable_id(file_id) = 0
+
+       ELSE
+          return_value = 1
+          CALL internal_message( 'error', routine_name // &
+                                 ': could not open file "' // TRIM( file_name ) // '"')
+       ENDIF
+
+    ENDIF
+
+ END SUBROUTINE binary_open_file
 
 !--------------------------------------------------------------------------------------------------!
@@ -324,70 +327,70 @@
 !> Write attribute to file.
 !--------------------------------------------------------------------------------------------------!
-SUBROUTINE binary_write_attribute( file_id, variable_id, attribute_name, &
-              value_char, value_int8, value_int16, value_int32,          &
-              value_real32, value_real64, return_value )
-
-   CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_write_attribute'  !< name of this routine
-
-   CHARACTER(LEN=charlen), INTENT(IN)           ::  attribute_name        !< name of attribute
-   CHARACTER(LEN=charlen), INTENT(IN), OPTIONAL ::  value_char  !< value of attribute
-   CHARACTER(LEN=charlen)                       ::  attribute_type        !< data type of attribute
-   CHARACTER(LEN=charlen)                       ::  output_string         !< output string
-
-   INTEGER(KIND=1), INTENT(IN), OPTIONAL ::  value_int8   !< value of attribute
-   INTEGER(KIND=2), INTENT(IN), OPTIONAL ::  value_int16  !< value of attribute
-   INTEGER(KIND=4), INTENT(IN), OPTIONAL ::  value_int32  !< value of attribute
-
-   INTEGER, INTENT(IN)  ::  file_id       !< file ID
-   INTEGER, INTENT(IN)  ::  variable_id   !< variable ID
-   INTEGER, INTENT(OUT) ::  return_value  !< return value
-
-   REAL(KIND=4), INTENT(IN), OPTIONAL ::  value_real32  !< value of attribute
-   REAL(KIND=8), INTENT(IN), OPTIONAL ::  value_real64  !< value of attribute
-
-
-   return_value = 0
-
-   CALL internal_message( 'debug', TRIM( routine_name ) // &
-                          ': write attribute ' // TRIM( attribute_name ) )
-
-   !-- Write attribute to file
-   output_string = 'attribute'
-   WRITE( file_id )  output_string
-
-   WRITE( file_id )  variable_id
-   WRITE( file_id )  attribute_name
-
-   IF ( PRESENT( value_char ) )  THEN
-      attribute_type = 'char'
-      WRITE( file_id )  attribute_type
-      WRITE( file_id )  value_char
-   ELSEIF ( PRESENT( value_int8 ) )  THEN
-      attribute_type = 'int8'
-      WRITE( file_id )  attribute_type
-      WRITE( file_id )  value_int8
-   ELSEIF ( PRESENT( value_int16 ) )  THEN
-      attribute_type = 'int16'
-      WRITE( file_id )  attribute_type
-      WRITE( file_id )  value_int16
-   ELSEIF ( PRESENT( value_int32 ) )  THEN
-      attribute_type = 'int32'
-      WRITE( file_id )  attribute_type
-      WRITE( file_id )  value_int32
-   ELSEIF ( PRESENT( value_real32 ) )  THEN
-      attribute_type = 'real32'
-      WRITE( file_id )  attribute_type
-      WRITE( file_id )  value_real32
-   ELSEIF ( PRESENT( value_real64 ) )  THEN
-      attribute_type = 'real64'
-      WRITE( file_id )  attribute_type
-      WRITE( file_id )  value_real64
-   ELSE
-      return_value = 1
-      CALL internal_message( 'error', TRIM( routine_name ) // &
-                             ': no value given for attribute "' // TRIM( attribute_name ) // '"' )
-   ENDIF
-
-END SUBROUTINE binary_write_attribute
+ SUBROUTINE binary_write_attribute( file_id, variable_id, attribute_name, &
+               value_char, value_int8, value_int16, value_int32,          &
+               value_real32, value_real64, return_value )
+
+    CHARACTER(LEN=*), PARAMETER ::  routine_name = 'binary_write_attribute'  !< name of this routine
+
+    CHARACTER(LEN=charlen), INTENT(IN)           ::  attribute_name        !< name of attribute
+    CHARACTER(LEN=charlen), INTENT(IN), OPTIONAL ::  value_char  !< value of attribute
+    CHARACTER(LEN=charlen)                       ::  attribute_type        !< data type of attribute
+    CHARACTER(LEN=charlen)                       ::  output_string         !< output string
+
+    INTEGER(KIND=1), INTENT(IN), OPTIONAL ::  value_int8   !< value of attribute
+    INTEGER(KIND=2), INTENT(IN), OPTIONAL ::  value_int16  !< value of attribute
+    INTEGER(KIND=4), INTENT(IN), OPTIONAL ::  value_int32  !< value of attribute
+
+    INTEGER, INTENT(IN)  ::  file_id       !< file ID
+    INTEGER, INTENT(IN)  ::  variable_id   !< variable ID
+    INTEGER, INTENT(OUT) ::  return_value  !< return value
+
+    REAL(KIND=4), INTENT(IN), OPTIONAL ::  value_real32  !< value of attribute
+    REAL(KIND=8), INTENT(IN), OPTIONAL ::  value_real64  !< value of attribute
+
+
+    return_value = 0
+
+    CALL internal_message( 'debug', TRIM( routine_name ) // &
+                           ': write attribute ' // TRIM( attribute_name ) )
+!
+!-- Write attribute to file
+    output_string = 'attribute'
+    WRITE( file_id )  output_string
+
+    WRITE( file_id )  variable_id
+    WRITE( file_id )  attribute_name
+
+    IF ( PRESENT( value_char ) )  THEN
+       attribute_type = 'char'
+       WRITE( file_id )  attribute_type
+       WRITE( file_id )  value_char
+    ELSEIF ( PRESENT( value_int8 ) )  THEN
+       attribute_type = 'int8'
+       WRITE( file_id )  attribute_type
+       WRITE( file_id )  value_int8
+    ELSEIF ( PRESENT( value_int16 ) )  THEN
+       attribute_type = 'int16'
+       WRITE( file_id )  attribute_type
+       WRITE( file_id )  value_int16
+    ELSEIF ( PRESENT( value_int32 ) )  THEN
+       attribute_type = 'int32'
+       WRITE( file_id )  attribute_type
+       WRITE( file_id )  value_int32
+    ELSEIF ( PRESENT( value_real32 ) )  THEN
+       attribute_type = 'real32'
+       WRITE( file_id )  attribute_type
+       WRITE( file_id )  value_real32
+    ELSEIF ( PRESENT( value_real64 ) )  THEN
+       attribute_type = 'real64'
+       WRITE( file_id )  attribute_type
+       WRITE( file_id )  value_real64
+    ELSE
+       return_value = 1
+       CALL internal_message( 'error', TRIM( routine_name ) // &
+                              ': no value given for attribute "' // TRIM( attribute_name ) // '"' )
+    ENDIF
+
+ END SUBROUTINE binary_write_attribute
 
 !--------------------------------------------------------------------------------------------------!
